/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Visual Servoing Platform", "index.html", [
    [ "ViSP 3.6.0 main page", "index.html", "index" ],
    [ "Supported Hardware", "supported-material.html", [
      [ "Supported Robots", "supported-material.html#material_robots", [
        [ "Universal Robots", "supported-material.html#material_robots_ur", null ],
        [ "Franka Emika Panda", "supported-material.html#material_robots_franka", null ],
        [ "Kinova Jaco", "supported-material.html#material_robots_kinova", null ],
        [ "FLIR Pan-Tilt Unit", "supported-material.html#material_robots_flir_ptu", null ],
        [ "Parrot Bebop2 Drone", "supported-material.html#material_robots_bebop2", null ],
        [ "Pioneer P3DX", "supported-material.html#material_robots_pioneer", null ],
        [ "mBot Ranger Educational Kit", "supported-material.html#material_robots_mbot_ranger", null ],
        [ "AION ROBOTICS", "supported-material.html#material_robots_aion_robotics", null ],
        [ "Pixhawk and MavLink", "supported-material.html#material_robots_pixhawk", null ]
      ] ],
      [ "Supported Haptic Devices", "supported-material.html#material_haptic", [
        [ "qbRobotics Soft Hand", "supported-material.html#material_haptic_qbrobotics", null ],
        [ "Right Hand Robotics Reflex Takktile2 Hand", "supported-material.html#material_haptic_right_hand", null ],
        [ "Haption Virtuose 6D", "supported-material.html#material_haptic_virtuose", null ]
      ] ],
      [ "Supported Force/Torque Sensor", "supported-material.html#material_ft", [
        [ "ATI Net F/T device", "supported-material.html#material_ft_ati_net", null ],
        [ "ATI FT device connected to a National Instrument DAQmx PCI board", "supported-material.html#material_ft_ati_daq", null ],
        [ "Alberobotics FT device", "supported-material.html#material_ft_alberobotics", null ]
      ] ],
      [ "Supported Lidar", "supported-material.html#material_laser_scanner", [
        [ "Sick LD-MRS Lidar", "supported-material.html#material_laser_scanner_sick", null ]
      ] ],
      [ "Supported Depth Cameras", "supported-material.html#material_camera_depth", [
        [ "Intel Realsense Depth Cameras", "supported-material.html#material_camera_depth_realsense", null ],
        [ "Structure Core Depth Cameras", "supported-material.html#material_camera_depth_structure_core", null ],
        [ "Microsoft Kinect 1 Xbox 360", "supported-material.html#material_camera_depth_kinect1", null ]
      ] ],
      [ "Supported Cameras", "supported-material.html#material_camera", [
        [ "IDS UEyE Cameras", "supported-material.html#material_camera_ids", null ],
        [ "Basler Cameras", "supported-material.html#material_camera_basler", null ],
        [ "FLIR Cameras", "supported-material.html#material_camera_flir", null ],
        [ "Generic Firewire Cameras", "supported-material.html#material_camera_firewire", null ],
        [ "Generic USB Cameras", "supported-material.html#material_camera_v4l2", null ]
      ] ],
      [ "Supported Motion Capture System", "supported-material.html#material_mocap", [
        [ "Qualisys Motion Capture System", "supported-material.html#material_mocap_qualisys", null ],
        [ "Vicon Motion Capture System", "supported-material.html#material_mocap_vicon", null ]
      ] ]
    ] ],
    [ "Supported Third-Party Libraries", "supported-third-parties.html", [
      [ "Computer Vision", "supported-third-parties.html#soft_vision", [
        [ "OpenCV", "supported-third-parties.html#soft_vision_opencv", null ]
      ] ],
      [ "Linear Algebra", "supported-third-parties.html#soft_linear_algebra", [
        [ "Intel Math Kernel Library (MKL)", "supported-third-parties.html#soft_linear_algebra_mkl", null ],
        [ "OpenBLAS", "supported-third-parties.html#soft_linear_algebra_openblas", null ],
        [ "Gnu Scientic Library (GSL)", "supported-third-parties.html#soft_linear_algebra_gsl", null ],
        [ "Netlib", "supported-third-parties.html#soft_linear_algebra_netlin", null ],
        [ "Atlas", "supported-third-parties.html#soft_linear_algebra_atlas", null ],
        [ "Eigen3", "supported-third-parties.html#soft_linear_algebra_eigen3", null ]
      ] ],
      [ "Image I/O", "supported-third-parties.html#soft_image_io", [
        [ "libjpeg", "supported-third-parties.html#soft_image_io_libjpeg", null ],
        [ "libpng", "supported-third-parties.html#soft_image_io_libpng", null ]
      ] ],
      [ "Robot Control", "supported-third-parties.html#soft_robot", [
        [ "ur_rtde C++ interface", "supported-third-parties.html#soft_robots_ur", null ],
        [ "libfranka", "supported-third-parties.html#soft_robots_libfranka", null ],
        [ "Kinova Jaco Gen2 SDK", "supported-third-parties.html#soft_robots_kinova", null ],
        [ "FLIR PTU SDK", "supported-third-parties.html#soft_robots_flir_ptu", null ],
        [ "ARDroneSDK3", "supported-third-parties.html#soft_robots_bebop2", null ],
        [ "Aria", "supported-third-parties.html#soft_robots_aria", null ],
        [ "MavSDK/MavLink", "supported-third-parties.html#soft_robots_mavsdk", null ]
      ] ],
      [ "Force/Torque Interfaces", "supported-third-parties.html#soft_ft", [
        [ "Comedi", "supported-third-parties.html#soft_ft_comedi", null ]
      ] ],
      [ "Depth Camera SDK", "supported-third-parties.html#soft_camera_depth", [
        [ "librealsense", "supported-third-parties.html#soft_camera_depth_librealsense", null ],
        [ "Occipital Structure SDK", "supported-third-parties.html#soft_camera_depth_structure", null ],
        [ "libfreenect", "supported-third-parties.html#soft_camera_depth_libfreenect", null ]
      ] ],
      [ "Camera SDK", "supported-third-parties.html#soft_camera", [
        [ "uEye SDK", "supported-third-parties.html#soft_camera_ueye", null ],
        [ "Pylon SDK", "supported-third-parties.html#soft_camera_pylon", null ],
        [ "Flycapture SDK", "supported-third-parties.html#soft_camera_flycapture", null ],
        [ "libdc1394", "supported-third-parties.html#soft_camera_libdc1394", null ],
        [ "Video 4 Linux (v4l)", "supported-third-parties.html#soft_camera_v4l", null ]
      ] ],
      [ "Motion Capture SDK", "supported-third-parties.html#soft_mocap", [
        [ "Qualisys SDK", "supported-third-parties.html#soft_mocap_qualisys", null ],
        [ "Vicon SDK", "supported-third-parties.html#soft_mocap_vicon", null ]
      ] ],
      [ "Toolbox", "supported-third-parties.html#soft_tool", [
        [ "JSON for modern C++", "supported-third-parties.html#soft_tool_json", null ],
        [ "Point Cloud Library (PCL)", "supported-third-parties.html#soft_tool_pcl", null ]
      ] ]
    ] ],
    [ "Installation", "tutorial_install.html", "tutorial_install" ],
    [ "Tutorials", "tutorial_users.html", "tutorial_users" ],
    [ "ViSP for Android", "tutorial_android.html", "tutorial_android" ],
    [ "ViSP for iOS", "tutorial_ios_new.html", "tutorial_ios_new" ],
    [ "ViSP for Java", "tutorial_java.html", "tutorial_java" ],
    [ "ViSP for Unity", "tutorial_unity.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Bibliography", "citelist.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"AROgreBasic_8cpp-example.html",
"classvpAR.html#a67ba1b77975b4a637e3d258e2b417ad0",
"classvpAfma6.html#ac3b8c0a332e85214f40520359f430d37",
"classvpCalibrationException.html#a80708fe2379e8bb044bd009c052b95e5",
"classvpColVector.html#a1fd2578aedeffd7674c04c17079893cc",
"classvpComedi.html#aa23c654dc25f99456af9a63bc293d6a0",
"classvpDetectorDNNOpenCV.html#afeaec2bf38e596f940361b52c574ab1a",
"classvpDisplay.html#ac93ab5b811b039b8c04a07cae2b49ed4a7a7e70b7204fa4ecb61c1ec2a09794dc",
"classvpDisplayGDI.html#a001a94cfe55e3ca5ef57bb597bb07b30",
"classvpDisplayGTK.html#a569f34ca9e47aaef5412fd7c8fdbf1cd",
"classvpDisplayOpenCV.html#aaee9c81ce273129d175e1ba062d996e1",
"classvpDisplayX.html#a0041cf8e40c1fa73b48b2d924c07bd45",
"classvpDot2.html#a2966c0ed4fde1b5b1735cddedf41db70",
"classvpFeatureLine.html#a103b9fae2db1769ee7c518d5da841359a0802429154da599140bd255733039fd6",
"classvpFeatureMomentBasic.html#a0d42071604edfb18ea10329868a6744e",
"classvpFeatureMomentGravityCenterNormalized.html#afe2f6a3fddf37e16ecfd85b036c67000",
"classvpFeatureTranslation.html#a8eb67bcc7c751c8e8828f2c260b5bb7a",
"classvpForceTwistMatrix.html#a2a74a9a995aed6651bd47e2ccb5293ec",
"classvpHomogeneousMatrix.html#a1ef69763a4f2dfb1e45999bd78ed0cbd",
"classvpImageConvert.html#a49e3ae8650dee0dbfa5961848db3bd21",
"classvpImagePoint.html#a0f1593bd6fdf7cba3c2721c33b2432db",
"classvpKalmanFilter.html#aa858ebf3bee55e21cb959fc47178e5ce",
"classvpKeyPoint.html#a6b94815c45185ecee9f65867d7ed8fc4",
"classvpKeyPoint.html#ae4ae2780223e9727f718be056202b4c7",
"classvpList.html#a978424222fd0ae71533c4b0817bb7e9f",
"classvpMatrix.html#aa971dfbfd28ede68bab91c42b6dbb16a",
"classvpMbDepthDenseTracker.html#aa08226ea2304dfc4bccc8c37556dd40a",
"classvpMbDepthNormalTracker.html#accd57d7cf21e83df2d478f8d7dd0fa7b",
"classvpMbEdgeKltTracker.html#a9ec3fe4c70afb4e67c8f99e41153756c",
"classvpMbEdgeTracker.html#a75c10f816a5d692c0ec94fc5c67a2c27",
"classvpMbGenericTracker.html#a5305cead805a080b82f01e215ed27d43",
"classvpMbHiddenFaces.html#aab1ea69b8c65b72959816f8266af7726",
"classvpMbTracker.html#a091ff6b2e55857131b417a77cee8a051",
"classvpMbtDistanceCylinder.html#a8c1dd7755c98c6ba25584d055675fbaf",
"classvpMbtPolygon.html#a179b3c5de61ac5b60e42692a6456326c",
"classvpMeEllipse.html#a8ff4e9c2b8ea30508c3d1d766392fb74",
"classvpMeTracker.html#a13ab6b198bda8af9d5ad8685a5cfb334",
"classvpMomentCommon.html#a4510048453e467aa14464777c577013d",
"classvpOccipitalStructure.html#a94f0669075840fd21e2f93a8c5df8c63",
"classvpPlot.html#ad54e4399146d0cc414b1575a7b755a54",
"classvpPoseException.html#ac07c06bb7961aca7e8acaad17bbd7564aabb9566857503c1a145039c684152f52",
"classvpPylonGrabberUsb.html#aac8d4b199e8964f23889961b8720b698",
"classvpRealSense.html#a6fdd41c89f98ff8a63620787574f8154",
"classvpRobot.html#a732ece56607c9d05cfebf78e4554db4d",
"classvpRobotAfma6.html#ada4998a8caaa85bb1c4196fbce24b502",
"classvpRobotFlirPtu.html",
"classvpRobotMavsdk.html#a4b70983a9571d53558d83762127a83ce",
"classvpRobotSimulator.html#aa80bd86d023bb27da0a47d548d462027ada34379b8b0b876e9061da4f5ede7e48",
"classvpRobotViper650.html#a6fed36fe95a4e3c6a864b554370c625a",
"classvpRobotWireFrameSimulator.html#a0fd30f2cfa278adbbbf89d1cbdd2a4b8",
"classvpRobotWireFrameSimulator.html#a99e02e238e1e8e5dfc62411f850d65e8",
"classvpRotationMatrix.html#a966d509ea827ed4a3ce6eb26a4f28fa5",
"classvpRzyxVector.html#a374947c6bf02984c6e09f8b661d16950",
"classvpServo.html#a4c6a47d526036dc1bc211f8079b477c4",
"classvpSimulatorAfma6.html",
"classvpSimulatorAfma6.html#ad26c6c5aa53ab792640e18ba2136b17ba24ee92a4612e7007f18f606d77b9ad60",
"classvpSimulatorPioneerPan.html#a917f129669717bdf39b64e726b0992d2",
"classvpSimulatorViper850.html#aaf51459beab5ca9e3d6cec75c3268601",
"classvpSubColVector.html#af18e8319f263273157e7daa874d24185",
"classvpSubRowVector.html#a368cd07aa60bb6bc16b479fa3056da37",
"classvpTemplateTrackerMI.html#a61d3bcdbaf24e577761d7139ef905e99",
"classvpTemplateTrackerMIESM.html#abe0c138b8981a42e461ad4f366c5c58f",
"classvpTemplateTrackerMIForwardCompositional.html#a212b547c90e8a17bc7ec9e48f0ba7bdc",
"classvpTemplateTrackerMIInverseCompositional.html#a84420a5b00d7777e2c0d284f3a11bfa6",
"classvpTemplateTrackerSSDESM.html#a796ed5373183d6b4b77cecaa31365f1d",
"classvpTemplateTrackerSSDForwardCompositional.html#a94c26acebce24cfa74c44799eb2c0925",
"classvpTemplateTrackerWarpHomography.html#a4155bb9b1bac97ddccaec8e92ff7edf7",
"classvpTemplateTrackerZNCCForwardAdditional.html#a34fc1454e0498fec061ffb31196c1d17",
"classvpThetaUVector.html#a2a74a9a995aed6651bd47e2ccb5293ec",
"classvpUnicycle.html#a9bef35d3b9f3b339f83a1f181e64d271",
"classvpViper650.html",
"classvpVirtuose.html#a8a40b1a07556822c14c1777554b90d67",
"classvpWireFrameSimulator.html#af490d0ab59eff366be189a1a2c444d2c",
"group__group__core__bridges.html",
"namespacevpCPUFeatures.html#a16cfd2e2f02fbf681416167b9c963f7d",
"supported-third-parties.html#soft_mocap_vicon",
"tutorial-bebop2-vs.html#bebop2_intro",
"tutorial-franka-sim.html",
"tutorial-install-crosscompiling-raspberry.html#cross_raspberry_tips_libpthread",
"tutorial-install-win10-mingw-w64.html#install_win10_mingw_3rd_cmake",
"tutorial-install-win11-mingw-w64.html#install_win11_mingw_config",
"tutorial-synthetic-blenderproc.html#dnn_synthetic_next",
"tutorial_install_pkg.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';