var tutorial_detection_dnn =
[
    [ "Tutorial: Deep learning object detection", "tutorial-detection-dnn.html", [
      [ "Introduction", "tutorial-detection-dnn.html#dnn_intro", null ],
      [ "Requirements", "tutorial-detection-dnn.html#dnn_requirements", [
        [ "Build OpenCV with GPU acceleration", "tutorial-detection-dnn.html#build_opencv_with_cuda", null ],
        [ "Install OpenCV from package", "tutorial-detection-dnn.html#install_opencv_from_package", null ]
      ] ],
      [ "Object detection example explained", "tutorial-detection-dnn.html#dnn_example", null ],
      [ "Use case", "tutorial-detection-dnn.html#dnn_usecase", [
        [ "Generic usage", "tutorial-detection-dnn.html#dnn_usecase_general", null ],
        [ "Face detection", "tutorial-detection-dnn.html#dnn_usecase_face_detection", null ],
        [ "COCO dataset objects detection", "tutorial-detection-dnn.html#dnn_models_coco", [
          [ "Faster-RCNN", "tutorial-detection-dnn.html#dnn_supported_faster_rcnn", null ],
          [ "MobileNet SSD", "tutorial-detection-dnn.html#dnn_supported_mobilenet_ssd", null ],
          [ "Yolo v3", "tutorial-detection-dnn.html#dnn_supported_yolov3", null ],
          [ "Yolo v4", "tutorial-detection-dnn.html#dnn_supported_yolov4", null ],
          [ "Yolo v5", "tutorial-detection-dnn.html#dnn_supported_yolov5", null ],
          [ "Yolo v7", "tutorial-detection-dnn.html#dnn_supported_yolov7", null ],
          [ "Yolo v8", "tutorial-detection-dnn.html#dnn_supported_yolov8", null ]
        ] ]
      ] ],
      [ "Other dnn models", "tutorial-detection-dnn.html#dnn_model_other", [
        [ "OpenCV model zoo", "tutorial-detection-dnn.html#dnn_model_other_zoo", null ]
      ] ],
      [ "Troubleshootings", "tutorial-detection-dnn.html#dnn_troubleshootings", [
        [ "Error in the DNN input size", "tutorial-detection-dnn.html#dnn_error_size", null ],
        [ "YoloV3: transpose weights is not functionNotImplementedError", "tutorial-detection-dnn.html#dnn_error_unimplemented", null ],
        [ "YoloV7: can't create NonMaxSuppression layer", "tutorial-detection-dnn.html#dnn_error_nonmaxsuppr", null ]
      ] ],
      [ "Next tutorial", "tutorial-detection-dnn.html#dnn_next", null ]
    ] ],
    [ "Tutorial: Deep learning object detection on NVIDIA GPU with TensorRT", "tutorial-detection-tensorrt.html", [
      [ "Introduction", "tutorial-detection-tensorrt.html#dnn_trt_intro", null ],
      [ "Prerequisites", "tutorial-detection-tensorrt.html#dnn_trt_prereq", [
        [ "Install CUDA", "tutorial-detection-tensorrt.html#dnn_trt_cuda_install", null ],
        [ "Install cuDNN", "tutorial-detection-tensorrt.html#dnn_trt_cudnn_install", null ],
        [ "Install TensorRT", "tutorial-detection-tensorrt.html#dnn_trt_trt_install", null ],
        [ "Install OpenCV from source", "tutorial-detection-tensorrt.html#dnn_trt_opencv_install", null ]
      ] ],
      [ "Build ViSP with TensorRT support", "tutorial-detection-tensorrt.html#dnn_trt_visp", null ],
      [ "Tutorial description", "tutorial-detection-tensorrt.html#dnn_trt_example", [
        [ "Include header files", "tutorial-detection-tensorrt.html#header_files", null ],
        [ "Pre-processing", "tutorial-detection-tensorrt.html#preprocessing", null ],
        [ "Post-processing", "tutorial-detection-tensorrt.html#postprocessing", null ],
        [ "Parse ONNX Model", "tutorial-detection-tensorrt.html#parseOnnx", null ],
        [ "Main pipeline", "tutorial-detection-tensorrt.html#Main_pipeline", null ]
      ] ],
      [ "Usage", "tutorial-detection-tensorrt.html#tutorial_usage", null ]
    ] ]
];